/**************************************************************************
**  (c) Copyright 2002, Andromeda Technology & Automation
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : doodle1.cpp
**      SYSTEM NAME    : AXE - Andromeda X-windows Encapsulation
**      VERSION NUMBER : $Revision: 1.2 $
**
**  DESCRIPTION      :  Doodle is an exmaple application to demonstrate
**                      the functions in AXE as a tutorial.
**                      The first phase shows the absolute minimum to
**                      make an AXE application. All it does is create a
**                      main window. You have 'ctrl-C' to quit.
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Feb 27, 2002
**************************************************************************/

/*****************************
   $Log: doodle1.cpp,v $
   Revision 1.2  2002/11/04 07:44:45  arjen
   Use proper namespace for iostream classes
   Use local header files and not the installed ones.

   Revision 1.1  2002/07/25 08:01:18  arjen
   First checkin, AXE release 0.2

*****************************/

static const char *RCSID = "$Id: doodle1.cpp,v 1.2 2002/11/04 07:44:45 arjen Exp $";

#include "xappl.h"

class doodle: public xapplication
{
   managed_window *main_frame;

   virtual void SetupResources(void);
};

doodle DoodleApp;

void doodle::SetupResources()
{
   main_frame = new managed_window("Doodling with AXE");
   main_frame->Map();
}
