#include <AXE/date.h>

class activity
{
   String description;
   hour   spent_in_month[12];

public:

   activity(String desc)
   {
      description = desc;
   }

   int operator!=(String &s);

   void addtime(hour spent, unsigned month);

   void print(void);
};

struct act_lst
{
   activity *act;
   act_lst  *next;

};

main()
{

   act_lst *timesheet, *a;
   act_lst *Total;

   timesheet = new act_lst;
   timesheet->act = new activity("TOTAL");
   timesheet->next = 0;
   Total = timesheet;

   date d1, d2;
   hour t1, t2;
   String action1, action2, datestring;

   std::cin >> datestring;
   std::cin >> action1;
   d1 = date(datestring);
   t1 = hour(datestring);

   while (std::cin)
   {
      std::cin >> datestring;
      d2 = date(datestring);
      t2 = hour(datestring);
      std::cin >> action2;

      //   process the activity from nr 1 to nr 2.

      if (!action1)
      {
         // No action: ends the previous action.
      }
      else
      {
         // Find the action in the list. If not found add a new activity.

         for (a = timesheet; a && *a->act != action1; a=a->next);
         if (!a)
         {
            a = new act_lst;
            a->act = new activity(action1);
            a->next = timesheet;
            timesheet = a;
         }

         if (d2 != d1)
         {
            cerr << "More than a day at " << datestring << "\n";
         }
         a->act->addtime(t2 - t1, d1.Month());
         Total->act->addtime(t2 - t1, d1.Month());

      }
      //   shift the log entry one place.

      d1 = d2;
      t1 = t2;
      action1 = action2;
   }

   std::cout << "Activity\tJan\tFeb\tMar\tApr\tMay\tJun\tJul\tAug\tSep\tOct\tNov\tDec\tTOTAL\n\n";

   for (a = timesheet; a; a = a->next)
   {
      a->act->print();
   }
}

int activity::operator!=(String &s)
{
   return description != s;
}

void activity::addtime(hour spent, unsigned month)
{
   spent_in_month[month - 1] += spent;
}

void activity::print(void)
{
   hour total;

   std::cout << description << "\t";
   for (int i=0; i<12; i++)
   {
      std::cout << spent_in_month[i] << "\t";
      total += spent_in_month[i];
   }
   std::cout << total << "\t" << description << "\n";
}
