/**************************************************************************
**  (c) Copyright 1999, Andromeda Technology & Automation
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : integer.cpp
**      SYSTEM NAME    : AXE - Andromeda X-windows Encapsulation
**      VERSION NUMBER : $Revision: 1.2 $
**
**  DESCRIPTION      :  
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Feb 06, 1998
**      LAST UPDATE     : Oct 16, 1999
**************************************************************************/

/*****************************
   $Log: integer.cpp,v $
   Revision 1.2  2002/11/04 07:24:31  arjen
   Use proper namespace for iostream classes

   Revision 1.1  2002/07/25 08:01:27  arjen
   First checkin, AXE release 0.2

*****************************/

static const char *RCSID = "$Id: integer.cpp,v 1.2 2002/11/04 07:24:31 arjen Exp $";


#include "integer.h"

integer& integer::operator=(integer &i)
{
   if (nr_words > 0)
      delete Number;

   msw = i.msw;
   nr_words = i.nr_words;
   Number = new unsigned short[nr_words];
   for (int j=0; j<nr_words; j++)
      Number[j] = i.Number[j];

   return *this;
}

integer integer::operator+(integer &a) // Add a to *this
{
   integer r;

   return r;
}

std::ostream& operator<<(std::ostream &s, integer &i)
{
   int j;

   s << i.msw;
   for (j=0; j<i.nr_words; j++)
      s << " " << i.Number[j];
 
   return s;
}

std::istream& operator>>(std::istream &s, integer &i)
{
   return s;
}
