
/**************************************************************************
**  (c) Copyright 1998, Andromeda Technology & Automation
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : button.cpp
**      SYSTEM NAME    : AXE - Andromeda X-windows Encapsulation
**      VERSION NUMBER : $Revision: 1.1 $
**
**  DESCRIPTION      :  Implementation of button classes
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Mar 13, 1998
**      LAST UPDATE     : Mar 13, 1998
**      MODIFICATIONS   : 
**************************************************************************/

/*****************************
   $Log: button.cpp,v $
   Revision 1.1  2002/07/25 08:01:26  arjen
   First checkin, AXE release 0.2

*****************************/

static const char *RCSID = "$Id: button.cpp,v 1.1 2002/07/25 08:01:26 arjen Exp $";

#include "button.h"

int touch_button::EV_ButtonPress(XButtonEvent ev)
{
   Strength(-Strength());
   click();
   return 1;
}

void touch_button::click(void)
{
}

void toggle_button::click(void)
{
   state = state == State_On ? State_Off : State_On;
   redraw();
}

void toggle_button::redraw(void)
{
   if (state == State_On)
      XFillRectangle(stddpy, ID(), red_gc, 6, 6, 12, 20);
   else
      XFillRectangle(stddpy, ID(), green_gc, 6, 6, 12, 20);
}
